import request from '@/utils/request'

// 查询附件列表
export function listAttach(query) {
  return request({
    url: '/system/attach/list',
    method: 'get',
    params: query
  })
}

export function queryAttach(query) {
  return request({
    url: '/system/attach/queryAttach',
    method: 'get',
    params: query
  })
}














// 查询附件详细
export function getAttach(id) {
  return request({
    url: '/system/attach/' + id,
    method: 'get'
  })
}

// 新增附件
export function addAttach(data) {
  return request({
    url: '/system/attach',
    method: 'post',
    data: data
  })
}
// 新增附件
export function recycling(data) {
  return request({
    url: '/system/game/recycling',
    method: 'post',
    data: data
  })
}

// 修改附件
export function updateAttach(data) {
  return request({
    url: '/system/attach',
    method: 'put',
    data: data
  })
}

// 删除附件
export function delAttach(id) {
  return request({
    url: '/system/attach/' + id,
    method: 'delete'
  })
}
